[CmdletBinding(SupportsShouldProcess)]param(
    [ArgumentCompleter({ param (
        $commandName,
        $parameterName,
        $wordToComplete,
        $commandAst,
        $fakeBoundParameters
      )
      [DockerComposeDirs]::_GetValidValues($wordToComplete,$true)
    })]
    [string[]]$ProjectPath=@($PWD),
    [string[]]$UpCliParams,
    [Parameter(Position = 0, ValueFromRemainingArguments = $true)]
    [string[]]$CliParams
)

$local:passParams = [ordered]@{
    ProjectPath=$ProjectPath
    UpCliParams=@('--force-recreate')
}
if( $UpCliParams ) { $passParams.UpCliParams += $UpCliParams }
if( $CliParams ) { $passParams.CliParams = $CliParams }
dcup @passParams

#   docker-compose --file $dcPath up -d --force-recreate --remove-orphans $dcParams && docker-compose logs --follow --tail 10 $dcParams

